<? $this->layout()->disableLayout() ?>

<form class="form-common" action="<?= $this->baseUrl() ?>/system/dictionary/edit?id=<?= $this->entry->id ?>" method="post" class="form" id="agency">
	<fieldset>
		<div class="inner disabled">
			<label for="entry-id">ID</label>
			<input id="entry-id" disabled="disabled" class="txt w30" type="text" name="entry_id" value="<?= $this->entry->id ?>" />
			<small>You are not able to change this field</small>
		</div>
	</fieldset>
	<div class="clear"></div>
	
	<fieldset class="mt10">
		<div id="value-tabs">
			<?
				$def_lang = Cubix_Application::getDefaultLang($this->request()->application_id);
				$langs = Cubix_I18n::getLangs(true);
				if ( $def_lang ) {
					foreach ($langs as $i => $lang) {
						if ( $lang == $def_lang ) {
							unset($langs[$i]);
						}
					}
					array_unshift($langs, $def_lang);
				}
			?>
			<ul class="mootabs_title">
				<? foreach ( $langs as $id ): ?>
				<li title="<?= $id ?>"><img src="/img/flags/<?= $id ?>.png" width="16" height="11" alt="" /></li>
				<? endforeach; ?>
			</ul>
			<? foreach ( $langs as $id ): ?>
			<div id="<?= $id ?>" class="mootabs_panel">
				<textarea class="txt" name="value_<?= $id ?>" style="width: 400px; height: 200px"><?= htmlspecialchars($this->entry->{'value_' . $id}) ?></textarea>
			</div>
			<? endforeach; ?>
		</div>
	</fieldset>
</form>
